"""Chagen name candidate to talent

Revision ID: a7026a15cba3
Revises: 720f26d6c530
Create Date: 2022-01-16 19:28:39.524301

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = "a7026a15cba3"
down_revision = "720f26d6c530"
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table(
        "talent",
        sa.Column("id", sa.Integer(), autoincrement=True, nullable=False),
        sa.Column("name", sa.String(length=255), nullable=False),
        sa.Column("surname", sa.String(length=255), nullable=False),
        sa.Column("email", sa.String(length=255), nullable=False),
        sa.Column("dni", sa.String(length=10), nullable=False),
        sa.Column("cellphone", sa.String(length=20), nullable=True),
        sa.Column("linkedin", sa.String(length=255), nullable=True),
        sa.Column("other_webpage", sa.String(length=255), nullable=True),
        sa.Column("bio", sa.String(length=255), nullable=True),
        sa.Column("github", sa.String(length=255), nullable=True),
        sa.Column("gitlab", sa.String(length=255), nullable=True),
        sa.PrimaryKeyConstraint("id"),
        sa.UniqueConstraint("dni"),
        sa.UniqueConstraint("email"),
    )
    op.drop_table("candidate")
    op.drop_column("job", "company_id")
    op.drop_constraint("users_email_key", "users", type_="unique")
    op.drop_column("users", "email")
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column(
        "users",
        sa.Column("email", sa.VARCHAR(length=255), autoincrement=False, nullable=False),
    )
    op.create_unique_constraint("users_email_key", "users", ["email"])
    op.add_column(
        "job", sa.Column("company_id", sa.INTEGER(), autoincrement=False, nullable=True)
    )
    op.create_table(
        "candidate",
        sa.Column("id", sa.INTEGER(), autoincrement=True, nullable=False),
        sa.Column("name", sa.VARCHAR(length=255), autoincrement=False, nullable=False),
        sa.Column(
            "surname", sa.VARCHAR(length=255), autoincrement=False, nullable=False
        ),
        sa.Column(
            "cellphone", sa.VARCHAR(length=20), autoincrement=False, nullable=False
        ),
        sa.Column(
            "linkedin", sa.VARCHAR(length=255), autoincrement=False, nullable=True
        ),
        sa.Column(
            "other_webpage", sa.VARCHAR(length=255), autoincrement=False, nullable=True
        ),
        sa.Column("bio", sa.VARCHAR(length=255), autoincrement=False, nullable=True),
        sa.Column("github", sa.VARCHAR(length=255), autoincrement=False, nullable=True),
        sa.Column("gitlab", sa.VARCHAR(length=255), autoincrement=False, nullable=True),
        sa.PrimaryKeyConstraint("id", name="candidate_pkey"),
        sa.UniqueConstraint("bio", name="candidate_bio_key"),
    )
    op.drop_table("talent")
    # ### end Alembic commands ###
